> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pdf.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Templates

> Returns all **Document Parser** data extraction templates available to the current user.

## `GET /v1/pdf/documentparser/templates`

Use the PDF.co dashbaord to manage your [Document Parser Templates](https://app.pdf.co/document-parser/templates).

<Note>Please refer to the [Document Parser Template Editor](https://app.pdf.co/document-parser/templates) and [PDF.co Document Parser: Template Creation Guide](/knowledgebase/document-parser-guide#document-parser-template-objects-guide) for more information.</Note>

## Query parameters

*No query parameters accepted.*

## Responses

| Parameter          | Type           | Description                                |
| ------------------ | -------------- | ------------------------------------------ |
| `templates`        | array\[object] |                                            |
| `remainingCredits` | integer        | Number of credits remaining in the account |
| `credits`          | integer        | Number of credits consumed by the request  |

## `Example` Response

<Note>To see the main response codes, please refer to the [Response Codes](/api-reference/response-codes) page.</Note>

```json theme={null}
{
  "templates": [
    {
      "id": 40,
      "type": "user",
      "title": "Untitled",
      "description": "Untitled"
    },
    {
      "id": 1,
      "type": "system",
      "title": "Invoice Parser",
      "description": "Parses invoices and extracts invoice number, company name, due date, amount, tax"
    }
  ],
  "remainingCredits": 94229
}
```

<Note>
  **Inconsistent URL Encoding in cURL Output:** When using cURL to make API requests, the output JSON may show URL characters encoded as Unicode escape sequences. For example, the ampersand character (`&`) may appear as `\u0026` in the cURL output. This is normal JSON encoding behavior and does not affect the validity of the URL. The URL will function correctly when used, as JSON parsers automatically decode these escape sequences. If you're parsing the response programmatically, your JSON parser will handle this conversion automatically.
</Note>

## Code Samples

<Tabs>
  <Tab title="CURL">
    ```bash theme={null}
    curl --location --request GET 'https://api.pdf.co/v1/pdf/documentparser/templates' \
    --header 'Content-Type: application/json' \
    --header 'x-api-key: {{x-api-key}}'
    ```
  </Tab>
</Tabs>
